# Create Agent Promo Campaign **GET /dashboard/integration/promo_campaign/{partner_short_code}** Create a social media ad campaign to promote an agent's services ## Servers - Production environment for Boost Integration V1 & V2: https://boost.homespotter.com (Production environment for Boost Integration V1 & V2) - QA/Staging environment (available upon request): https://boost.homespotter.com (QA/Staging environment (available upon request)) - GraphQL API server for agent lookups and queries: https://api.homespotter.com (GraphQL API server for agent lookups and queries) ## Authentication methods - Jwt token ## Parameters ### Path parameters - **partner_short_code** (string) Partner identifier assigned by Boost ### Query parameters - **first_name** (string) First name of the agent - **last_name** (string) Last name of the agent - **email** (string(email)) Email address of the agent - **phone** (string) Phone number of the agent - **agent_img** (string(uri)) URL to agent's photo for the ad - **facebook_page_id** (string) Facebook page ID (must be in HomeSpotter Business Manager) - **headline** (string) URL-encoded ad headline - **title** (string) URL-encoded ad title - **description** (string) URL-encoded ad description - **broker_name** (string) URL-encoded brokerage name - **landing_page_url** (string(uri)) URL for ad landing page - **token** (string) JWT authentication token ## Responses ### 200 Successfully created agent promo campaign #### Body: text/html (string) string ### 400 Bad request - missing or invalid parameters ### 401 Unauthorized - invalid or expired token ### 403 Forbidden - insufficient permissions [Powered by Bump.sh](https://bump.sh)